/* $Id: outputbox.h,v 1.2 2005/07/05 01:15:35 kyanh Exp $ */
/* void init_outputbox(Tbfwin *bfwin,GtkWidget *vbox); */

/*
 in order to HIDE/SHOW the output box, we must export Toutputbox, so that
 gui.c can regornizes this type...
*/
#define NUM_MATCH 30

typedef struct
{
	gchar *command;
	gchar *pattern;
	gint file_subpat;
	gint line_subpat;
	gint output_subpat;
	gboolean show_all_output;
	regmatch_t pmatch[ NUM_MATCH ];
	regex_t preg;
}
Toutput_def;

typedef struct
{
	GtkListStore *lstore;
	GtkWidget *lview; /* ~> GtkTreeView */
	GtkWidget *hbox;

	Toutput_def *def;
	Tbfwin *bfwin;
	/* kyanh, added, 20050220 */
	guint pollID;
	gchar *retfile;
	gint pid; /* kyanh, added, 20050226, pid of command */
	GIOChannel *io_channel;
}
Toutputbox;
#define OUTPUTBOX(var) ((Toutputbox *)(var))

void outputbox( Tbfwin *bfwin, gchar *pattern, gint file_subpat, gint line_subpat, gint output_subpat, gchar *command, gboolean show_all_output );

void outputbox_stop (Tbfwin *bfwin);
