/* $Id: snooper.h,v 1.1.1.1 2005/06/29 11:03:33 kyanh Exp $ */

/* Winefish LaTeX Editor
 * 
 * Completion support
 *
 * Copyright (c) 2005 KyAnh <kyanh@o2.pl>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
 
#ifndef __SNOOPER_H_
#define __SNOOPER_H_

enum {
	COMPLETION_WINDOW_INIT, /* require `intitalize' the window */
	COMPLETION_WINDOW_HIDE, /* hide window */
	COMPLETION_WINDOW_SHOW, /* show winow */
	COMPLETION_WINDOW_UP, /* select one item up */
	COMPLETION_WINDOW_PAGE_UP, /* select many items up */
	COMPLETION_WINDOW_DOWN, /* select one item down */
	COMPLETION_WINDOW_PAGE_DOWN, /* select many items down */
	COMPLETION_WINDOW_ACCEPT, /* accept one item */
	COMPLETION_FIRST_CALL, /* first press CTRL+Space in the period */
	COMPLETION_AUTO_CALL /* auto call */
};

void snooper_install(void);
#endif
